[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [4.0.1-0phase1v11] xlibgl1 shlibs



On Sun, Aug 13, 2000 at 10:43:00PM +0200, Marcelo E. Magallon wrote:
>  xlibgl1's shlibs says:
> 
>    libGL     1 xlibgl1 (>= 4.0.1-0)
>    libOSMesa 3 xlibgl1 (>= 4.0.1-0)
> 
>  is there a reason for that? (ignore the libOSMesa line -- it's there
>  for completeness) It should be simply libgl1.  If a program /really/
>  depends on the OpenGL implementation in Xfree86 4.0, it's either
>  broken or has a very specific need.  In the later case, it should
>  declare the dependency by itself.

I just tossed that in because I needed a shlibs line.

What, specifically, do you suggest, again?  Please show me the exact format
so I don't screw it up.  :)

Also, I'm starting to think I need to pull libOSMesa into its own package,
because the virtual package libgl1 can only be expected to provide libGL,
not libGLU, libOSMesa, or anything else.

-- 
G. Branden Robinson             |   It's not a matter of alienating authors.
Debian GNU/Linux                |   They have every right to license their
branden@debian.org              |   software however we like.
http://www.debian.org/~branden/ |   -- Craig Sanders, in debian-devel

Attachment: pgpzn2cTD5pL6.pgp
Description: PGP signature


Reply to: